Project

General

Profile

Bug #15582 » 15582-bundler-gemspec.patch

hsbt (Hiroshi SHIBATA), 02/01/2019 01:18 PM

View differences:

/dev/null
1
# coding: utf-8
2
# frozen_string_literal: true
3

  
4
begin
5
  require File.expand_path("../lib/bundler/version", __FILE__)
6
rescue LoadError
7
  # for Ruby core repository
8
  require File.expand_path("../bundler/version", __FILE__)
9
end
10

  
11
require "shellwords"
12

  
13
Gem::Specification.new do |s|
14
  s.name        = "bundler"
15
  s.version     = Bundler::VERSION
16
  s.license     = "MIT"
17
  s.authors     = [
18
    "André Arko", "Samuel Giddins", "Colby Swandale", "Hiroshi Shibata",
19
    "David Rodríguez", "Grey Baker", "Stephanie Morillo", "Chris Morris", "James Wen", "Tim Moore",
20
    "André Medeiros", "Jessica Lynn Suttles", "Terence Lee", "Carl Lerche",
21
    "Yehuda Katz"
22
  ]
23
  s.email       = ["team@bundler.io"]
24
  s.homepage    = "http://bundler.io"
25
  s.summary     = "The best way to manage your application's dependencies"
26
  s.description = "Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably"
27

  
28
  if s.respond_to?(:metadata=)
29
    s.metadata = {
30
      "bug_tracker_uri" => "http://github.com/bundler/bundler/issues",
31
      "changelog_uri" => "https://github.com/bundler/bundler/blob/master/CHANGELOG.md",
32
      "homepage_uri" => "https://bundler.io/",
33
      "source_code_uri" => "http://github.com/bundler/bundler/",
34
    }
35
  end
36

  
37
  if s.version >= Gem::Version.new("2.a".dup)
38
    s.required_ruby_version     = ">= 2.3.0"
39
    s.required_rubygems_version = ">= 2.5.0"
40
  else
41
    s.required_ruby_version     = ">= 1.8.7"
42
    s.required_rubygems_version = ">= 1.3.6"
43
  end
44

  
45
  s.add_development_dependency "automatiek", "~> 0.1.0"
46
  s.add_development_dependency "mustache",   "0.99.6"
47
  s.add_development_dependency "rake",       "~> 10.0"
48
  s.add_development_dependency "rdiscount",  "~> 2.2"
49
  s.add_development_dependency "ronn",       "~> 0.7.3"
50
  s.add_development_dependency "rspec",      "~> 3.6"
51

  
52
  # s.files = `git ls-files -z`.split("\x0").select {|f| f.match(%r{^(lib|exe)/}) }
53
  # we don't check in man pages, but we need to ship them because
54
  # we use them to generate the long-form help for each command.
55
  # s.files += Dir.glob("man/**/*")
56
  # Include the CHANGELOG.md, LICENSE.md, README.md manually
57
  # s.files += %w[CHANGELOG.md LICENSE.md README.md]
58
  # include the gemspec itself because warbler breaks w/o it
59
  s.files += %w[bundler.gemspec]
60

  
61
  s.bindir        = "exe"
62
  s.executables   = %w[bundle bundler]
63
  s.require_paths = ["lib"]
64
end
lib/bundler/bundler.gemspec
1
# coding: utf-8
2
# frozen_string_literal: true
3

  
4
begin
5
  require File.expand_path("../lib/bundler/version", __FILE__)
6
rescue LoadError
7
  # for Ruby core repository
8
  require File.expand_path("../version", __FILE__)
9
end
10

  
11
require "shellwords"
12

  
13
Gem::Specification.new do |s|
14
  s.name        = "bundler"
15
  s.version     = Bundler::VERSION
16
  s.license     = "MIT"
17
  s.authors     = [
18
    "André Arko", "Samuel Giddins", "Colby Swandale", "Hiroshi Shibata",
19
    "David Rodríguez", "Grey Baker", "Stephanie Morillo", "Chris Morris", "James Wen", "Tim Moore",
20
    "André Medeiros", "Jessica Lynn Suttles", "Terence Lee", "Carl Lerche",
21
    "Yehuda Katz"
22
  ]
23
  s.email       = ["team@bundler.io"]
24
  s.homepage    = "http://bundler.io"
25
  s.summary     = "The best way to manage your application's dependencies"
26
  s.description = "Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably"
27

  
28
  if s.respond_to?(:metadata=)
29
    s.metadata = {
30
      "bug_tracker_uri" => "http://github.com/bundler/bundler/issues",
31
      "changelog_uri" => "https://github.com/bundler/bundler/blob/master/CHANGELOG.md",
32
      "homepage_uri" => "https://bundler.io/",
33
      "source_code_uri" => "http://github.com/bundler/bundler/",
34
    }
35
  end
36

  
37
  if s.version >= Gem::Version.new("2.a".dup)
38
    s.required_ruby_version     = ">= 2.3.0"
39
    s.required_rubygems_version = ">= 2.5.0"
40
  else
41
    s.required_ruby_version     = ">= 1.8.7"
42
    s.required_rubygems_version = ">= 1.3.6"
43
  end
44

  
45
  s.add_development_dependency "automatiek", "~> 0.1.0"
46
  s.add_development_dependency "mustache",   "0.99.6"
47
  s.add_development_dependency "rake",       "~> 10.0"
48
  s.add_development_dependency "rdiscount",  "~> 2.2"
49
  s.add_development_dependency "ronn",       "~> 0.7.3"
50
  s.add_development_dependency "rspec",      "~> 3.6"
51

  
52
  # s.files = `git ls-files -z`.split("\x0").select {|f| f.match(%r{^(lib|exe)/}) }
53
  # we don't check in man pages, but we need to ship them because
54
  # we use them to generate the long-form help for each command.
55
  # s.files += Dir.glob("man/**/*")
56
  # Include the CHANGELOG.md, LICENSE.md, README.md manually
57
  # s.files += %w[CHANGELOG.md LICENSE.md README.md]
58
  # include the gemspec itself because warbler breaks w/o it
59
  s.files += %w[bundler.gemspec]
60

  
61
  s.bindir        = "exe"
62
  s.executables   = %w[bundle bundler]
63
  s.require_paths = ["lib"]
64
end